Ginkgo: gko::solver::IterativeBase Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::IterativeBase Class Reference
Linear Operators

A LinOp implementing this interface stores a stopping criterion factory. More...

`#include <ginkgo/core/solver/solver_base.hpp>`

Inheritance diagram for gko::solver::IterativeBase:
[legend]

## Public Member Functions
std::shared_ptr< const stop::CriterionFactory > | get_stop_criterion_factory () const
| Gets the stopping criterion factory of the solver.
virtual void | set_stop_criterion_factory (std::shared_ptr< const stop::CriterionFactory > new_stop_factory)
| Sets the stopping criterion of the solver.

## Detailed Description

A LinOp implementing this interface stores a stopping criterion factory.

## Member Function Documentation

## ◆ get_stop_criterion_factory()

std::shared_ptr< const stop::CriterionFactory > gko::solver::IterativeBase::get_stop_criterion_factory | ( |  | ) | const
| inline

Gets the stopping criterion factory of the solver.

Returns
  the stopping criterion factory

Referenced by gko::solver::EnableIterativeBase< DerivedType >::operator=().

## ◆ set_stop_criterion_factory()

virtual void gko::solver::IterativeBase::set_stop_criterion_factory | ( | std::shared_ptr< const stop::CriterionFactory > | new_stop_factory | ) |
| inlinevirtual

Sets the stopping criterion of the solver.

Parameters

  other | the new stopping criterion factory

Reimplemented in gko::solver::EnableIterativeBase< DerivedType >, gko::solver::EnableIterativeBase< Bicg< default_precision > >, gko::solver::EnableIterativeBase< Bicgstab< default_precision > >, gko::solver::EnableIterativeBase< CbGmres< default_precision > >, gko::solver::EnableIterativeBase< Cg< default_precision > >, gko::solver::EnableIterativeBase< Cgs< default_precision > >, gko::solver::EnableIterativeBase< Chebyshev< default_precision > >, gko::solver::EnableIterativeBase< Fcg< default_precision > >, gko::solver::EnableIterativeBase< Gcr< default_precision > >, gko::solver::EnableIterativeBase< Gmres< default_precision > >, gko::solver::EnableIterativeBase< Idr< default_precision > >, gko::solver::EnableIterativeBase< Minres< default_precision > >, gko::solver::EnableIterativeBase< Multigrid >, and gko::solver::EnableIterativeBase< PipeCg< default_precision > >.

Referenced by gko::solver::EnableIterativeBase< DerivedType >::set_stop_criterion_factory().

The documentation for this class was generated from the following file:

- ginkgo/core/solver/solver_base.hpp